<?php if (!defined('THINK_PATH')) exit(); /*a:2:{s:59:"F:\sywork\www\hsycms.v2.0/app/hsycms\view\chtml\create.html";i:1564475481;s:57:"F:\sywork\www\hsycms.v2.0\app\hsycms\view\index\head.html";i:1564124847;}*/ ?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>HSYCMS后台管理系统</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<link rel="stylesheet" href="__PUBLIC__/public/layui/css/layui.css?v=<?php echo time(); ?>" />
<link rel="stylesheet" type="text/css" href="__PUBLIC__/public/admin/css/touchTouch.css?v=<?php echo time(); ?>">
<link rel="stylesheet" href="__PUBLIC__/public/admin/css/admin.css?v=<?php echo time(); ?>" />
<link rel="stylesheet" href="__PUBLIC__/public/admin/css/<?php echo config('webadminstyle'); ?>.css?v=<?php echo time(); ?>" />
<script src="__PUBLIC__/public/admin/js/jquery.js?v=<?php echo time(); ?>"></script>
<script src="__PUBLIC__/public/admin/js/validform5.3.2min.js"></script>
<script src="__PUBLIC__/public/layer/layer.js?v=<?php echo time(); ?>"></script>
<script src="__PUBLIC__/public/layui/layui.js?v=<?php echo time(); ?>"></script>
<script src="__PUBLIC__/public/admin/js/touchTouch.jquery.js"></script> 
<script src="__PUBLIC__/public/admin/js/admin.js?v=<?php echo time(); ?>"></script>
</head>
<body>
<script type="text/javascript">
if(top.location==self.location){
  window.close();
}
</script>
<style type="text/css">
.process{ padding:12px; overflow:hidden;}
.process .processbox{ position:relative; height:300px; padding-top:40px;}
.process .processbox #prosbfb{ position:absolute; top:0;}
.process .processbar{height:15px; width:100%; overflow:hidden; position:absolute; top:23px; left:0; background:#ddd;  border-radius:3px;}
.process .processbar span{  background-image: linear-gradient(45deg, #0d93f0, #0eb9f8); top:0; display:block; position:absolute; left:0; width:0%; height:100%; }
.process .processbar span i{ position:absolute; top:-25px; right:0px; color:#333; font-size:15px;}
.process .processfina{ overflow-y:auto; height:100%;}
.process .processfina li{ line-height:24px; font-size:14px;}
</style>
<div class="process">
    <div class="processbox">
    <p id="prosbfb"></p>
    <div class="processbar"><span></span></div>
    <ul class="processfina">       
    </ul>
    </div>
</div>
<script src="__PUBLIC__/public/admin/js/ax.js"></script>
<script type="text/javascript">
var timer = setInterval("send()",300);	 
var p = 1;
function send(){
	var ajax = new $ax("<?php echo $url; ?>", function(data){
		if(data.status == 0){
			clearInterval(timer);		
			$("#prosbfb").html('生成进度：100%');		
			$(".processbar span").animate({'width':'100%'},300);
			setTimeout(function(){
				//parent.layer.closeAll();					
			},1000)
		}else{
			$("#prosbfb").html('生成进度：'+data.process+'%');
			$(".processbar span").animate({'width':data.process+'%'},300);
			var arr = data.data;
			for(var i = 0; i < arr.length; i++){
				$(".processfina").append('<li>'+arr[i]+'</li>');
			}
		}
	});
	ajax.set('process_page',p++);
	ajax.set('process_nid','<?php echo $nid; ?>');
	ajax.set('htmlpath','<?php echo $htmlpath; ?>');
	<?php if($isdetail){ ?>
	ajax.set('process_startId','<?php echo $startId; ?>');
	ajax.set('process_endId','<?php echo $endId; ?>');
	ajax.set('process_num','<?php echo $num; ?>');
	<?php } ?>
	ajax.start();
}
</script>